Invoices Get
Returns a list of all invoices.
get
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequiredPattern:
Contract number
[0-9]{5,10}Responses
200
Result data
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
The contract not found or doesn't belong to the user
application/json
500
Unexpected internal server error
application/json
get/{contract}/invoices
GET /billing/{contract}/invoices HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"metadata": {
"contractId": "31805900",
"customerId": "112505406",
"reference": "31805900"
},
"invoices": [
{
"id": "GY00101408",
"date": "2020-01",
"amount": 10.76,
"unit": "EUR"
}
]
}Last updated
Was this helpful?